SaveFileFormat (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.shared

## Enum SaveFileFormat

- java.lang.Object
- - java.lang.Enum<SaveFileFormat>
  - - org.gcube.portlets.user.speciesdiscovery.shared.SaveFileFormat

- All Implemented Interfaces:
    Serializable, Comparable<SaveFileFormat>

      public enum SaveFileFormat
      extends Enum<SaveFileFormat>

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CSV`
    `DARWIN_CORE`
    `DARWIN_CORE_ARCHIVE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SaveFileFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SaveFileFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CSV

          public static final SaveFileFormat CSV

    - #### DARWIN_CORE

          public static final SaveFileFormat DARWIN_CORE

    - #### DARWIN_CORE_ARCHIVE

          public static final SaveFileFormat DARWIN_CORE_ARCHIVE

  - ### Method Detail

    - #### values

          public static SaveFileFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SaveFileFormat c : SaveFileFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SaveFileFormat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013. All Rights Reserved.